Package common

# Class ConsumerSignal<T>

java.lang.Object
common.ConsumerSignal<T>

public class ConsumerSignal<T> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsumerSignal()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `void`
  `connect(Consumer<T> listener)`
  `void`
  `emit(T arg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsumerSignal

    public ConsumerSignal()

- ## Method Details

  - ### connect

    public void connect(Consumer<T> listener)

  - ### clear

    public void clear()

  - ### emit

    public void emit(T arg)